package start;

import engine.MenuPanel;
import jeu.Painter;
import spotify.MP3;

import engine.GameEngineGraphical;
import jeu.Controller;
import jeu.Jeu;

/**
 * lancement du moteur avec le jeu
 */
public class Main {

	public static void main(String[] args) throws InterruptedException {

		// creation du jeu particulier et de son afficheur
		Jeu game = new Jeu("helpFilePacman.txt");
		Painter painter = new Painter();
		Controller controller = new Controller();

		//creation du menu
		MenuPanel menu = new MenuPanel();
		while(!menu.isLancementpartie()){
			menu.waitlancementpartie();
		}
		
		//pour la musique
		
		MP3 mp3 = new MP3("cyberPacMusic1bon.wav");
		mp3.displayMusic();

		// classe qui lance le moteur de jeu generique
		GameEngineGraphical engine = new GameEngineGraphical(game, painter, controller);
		engine.run();
	}

}
